<?php
namespace app\home\controller;

use think\Controller;
use app\user\model\UserPraise;

class Praise extends Controller{
	private $praiseModel;
	
	public function _initialize(){
		parent::_initialize();
		
		$this->praiseModel = new UserPraise();
	}
	
	public function click(){
		$data = decode($this->request->post());
		
		$user = $data['u'];
		$target = $data['t'];
		
		$info = $this->praiseModel->getTargetInfo($user, $target);
		if($info) return json(['error'=>1212]);
		
		$this->praiseModel->add(['id'=>getId(), "user_id"=>$user, 'target_id'=>$target]);
		
		return json(['error'=>0]);
	}
	
	public function target(){
		$data = decode($this->request->post());
		
		$user = $data['u'];
		$target = $data['t'];
		
		$info = $this->praiseModel->getTargetInfo($user, $target);
		
		return json(['i'=>($info)?1:0]);
	}
	
}