<?php
namespace app\user\model;

use think\Model;

/**
 * 技能类
 * @author Superbee
 *
 */
class UserSkill extends Model{
	
	/**
	 * 添加技能
	 * @param int $user
	 * @param int $skill
	 */
	public function addUserSkill($user, $skill){
		$data = $this->db()->where(['user_id'=>$user, 'skill_id'=>$skill])->find();
		$time = time();
		$id = 0;
		
		if($data){
			$data = $data->data;
			$id = $data['id'];
			$data['time'] = $time;
			$this->isUpdate(true)->save($data);
		}else{
			$id = getId();
			$data = ['user_id'=>$user, 'skill_id'=>$skill, 'id'=>$id, 'time'=>$time];
			$this->isUpdate(false)->save($data);
		}
		 
		return ['i'=>$id, 's'=>$skill, 't'=>$time];
	}
	
	/**
	 * 获取单个技能
	 * @param int $id
	 * @return array skill_id, time
	 */
	public function getSkillByInfo($id){
		return $res = $this->db()->field('skill_id s, time t')->where(['id'=>$id])->find();
	}
	
	/**
	 * 获取所有技能
	 * @param int $user
	 */
	public function getUserSkill($user){
		$res = $this->db()->field('id i, skill_id s, time t')->where(['user_id'=>$user])->select();
		return ($res)?$res:'';
	}
}